Subject: bug#579: cursor-type -> frame parameter?

From: David Reitter <[email-masked]>
Date: Sat, 19 Jul 2008 18:14:07 -0400

Coming from 22, I expected cursor-type to work as buffer-local variable.
That's what it's documented as, and there is no entry in NEWS  
regarding this.

However, setting cursor-type takes no effect.
Having looked at the nsfns.m code, I tried this

(set-frame-parameter nil 'cursor-type 'bar)

and voila, it does the job.

Is this intended and the same across platforms?  if so, a NEWS entry  
would be nice.  (I haven't checked the manual).

In GNU Emacs 23.0.60.12 (i386-apple-darwin9.4.0, *Step 9.0)
  of 2008-07-19 on scarlett
configured using `configure  '--with-ns''

Important settings:
   value of $LC_ALL: nil
   value of $LC_COLLATE: nil
   value of $LC_CTYPE: nil
   value of $LC_MESSAGES: nil
   value of $LC_MONETARY: nil
   value of $LC_NUMERIC: nil
   value of $LC_TIME: nil
   value of $LANG: nil
   value of $XMODIFIERS: nil
   locale-coding-system: nil
   default-enable-multibyte-characters: t

Major mode: Lisp Interaction

Minor modes in effect:
   tooltip-mode: t
   mouse-wheel-mode: t
   menu-bar-mode: t
   file-name-shadow-mode: t
   global-font-lock-mode: t
   font-lock-mode: t
   global-auto-composition-mode: t
   auto-composition-mode: t
   auto-encryption-mode: t
   auto-compression-mode: t
   line-number-mode: t
   transient-mark-mode: t

Recent input:
<help-echo> <down-mouse-1> <mouse-1> C-x b <return>
<return> <down-mouse-1> <mouse-1> ( s e t q SPC c o
l o r - t y p e C-x C-e q <backspace> <backspace> <backspace>
<backspace> <backspace> <backspace> <backspace> <backspace>
<backspace> u r s o r - t y p e C-x C-e SPC ' b o x
) C-x C-e <return> <down-mouse-1> <mouse-1> <return>
( f r a m s <backspace> e - s e t - p a r a e m <backspace>
<backspace> m e t e r C-h f f r a m e - s e t - p <tab>
<tab> <backspace> <backspace> <backspace> <backspace>
<backspace> <s-backspace> <backspace> <backspace> <backspace>
<backspace> <backspace> <backspace> <backspace> <backspace>
s e t - f r a m e - p <tab> a <tab> <return> <down-mouse-1>
<mouse-1> <return> <return> ( s e t - f r a m e - p
a r a e m <backspace> <backspace> m e t e r SPC n i
l SPC ' c u r s o r - t y p e SPC ' b a r ) C-x C-e
<return> <return> <up> <down> <down-mouse-1> <mouse-movement>
<mouse-movement> <drag-mouse-1> s-c <menu-bar> <help-menu>
<send-emacs-bug-report>

Recent messages:
.emacs loaded
For information about GNU Emacs and the GNU system, type C-h C-a.
Entering debugger...
Back to top level.
t
box
call-interactively: Text is read-only [2 times]
Making completion list...
Type C-x 1 to delete the help window.
nil